unit uRzahl;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    GrenzeEin: TEdit;
    ErgebnisAus: TLabel;
    Zaehlen: TButton;
    procedure ZaehlenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ZaehlenClick(Sender: TObject);
var k, n : integer;
begin
  k := 0;
  n := strtoint(GrenzeEin.text);
  repeat
    k := k + 1;
    ErgebnisAus.caption := ErgebnisAus.caption+#13+'    '+inttostr(k);
  until k=n;
end;

end.
